aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@gmail.com>2009-07-31 13:56:49 +0000
committerLeonardo Arena <rnalrd@gmail.com>2009-07-31 13:56:49 +0000
commite6ea3fff2c64fb7b4fdc79d02a3c85928766cf81 (patch)
treed70f385c9ae033794e5a0d7475ea14c371d5f2ce
parent93669b2538b2cdfde3f6c288fba9a88668a7500a (diff)
parent05eec38aed3ecffa1cbd3fb9d50c62a77ba073d8 (diff)
downloadaports-e6ea3fff2c64fb7b4fdc79d02a3c85928766cf81.tar.bz2
aports-e6ea3fff2c64fb7b4fdc79d02a3c85928766cf81.tar.xz
Merge branch 'master' of git://dev.alpinelinux.org/aports
-rw-r--r--main/alpine-conf/0001-lbu-remove-packages.list-if-exist.patch43
-rw-r--r--main/alpine-conf/APKBUILD7
-rw-r--r--main/apk-tools/0001-io-fix-corruption-of-big-files-on-mmap-write.patch76
-rw-r--r--main/apk-tools/APKBUILD8
-rw-r--r--x11/midori/APKBUILD5
-rw-r--r--x11/xfce4/APKBUILD4
6 files changed, 136 insertions, 7 deletions
diff --git a/main/alpine-conf/0001-lbu-remove-packages.list-if-exist.patch b/main/alpine-conf/0001-lbu-remove-packages.list-if-exist.patch
new file mode 100644
index 0000000000..f7ce644d44
--- /dev/null
+++ b/main/alpine-conf/0001-lbu-remove-packages.list-if-exist.patch
@@ -0,0 +1,43 @@
+From fbe26c92439f4b4f19ee09ec07798a5bbaec0d77 Mon Sep 17 00:00:00 2001
+From: Natanael Copa <ncopa@alpinelinux.org>
+Date: Wed, 29 Jul 2009 19:30:36 +0000
+Subject: [PATCH] lbu: remove packages.list if exist
+
+fixes http://redmine.alpinelinux.org/issues/show/94
+---
+ lbu.in | 10 ++++++++--
+ 1 files changed, 8 insertions(+), 2 deletions(-)
+
+diff --git a/lbu.in b/lbu.in
+index 48e615e..b84682a 100644
+--- a/lbu.in
++++ b/lbu.in
+@@ -233,6 +233,12 @@ cmd_package() {
+ tmppkg="$tmpdir/$(basename $pkg)"
+
+ cd "${ROOT:-/}"
++ # remove old package.list
++ if [ -f etc/lbu/packages.list ] && [ -f var/lib/apk/world ]; then
++ echo "Note: Removing /etc/lbu/packages.list."
++ echo " /var/lib/apk/world will be used."
++ rm -f etc/lbu/packages.list
++ fi
+ currentlist=$(apk audit --backup -q)
+ if [ -f var/lib/apk/world ]; then
+ currentlist="$currentlist var/lib/apk/world"
+@@ -391,10 +397,10 @@ cmd_commit() {
+ }' | xargs rm 2>/dev/null
+
+ # remove obsolete file. some older version of alpine needs this
+- # to be ble to upgrade
++ # to be able to upgrade
+ if [ -z "$DRYRUN" ] && [ -f $mnt/packages.list ]; then
+ echo "Note: Removing packages.list from $(basename $mnt)."
+- echo " $PACKAGES_LIST will be used."
++ echo " /var/lib/apk/world will be used."
+ rm -f $mnt/packages.list
+ fi
+
+--
+1.6.3.3
+
diff --git a/main/alpine-conf/APKBUILD b/main/alpine-conf/APKBUILD
index 08e641d02b..46d5b9824c 100644
--- a/main/alpine-conf/APKBUILD
+++ b/main/alpine-conf/APKBUILD
@@ -1,16 +1,18 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alpine-conf
pkgver=2.0_beta3
-pkgrel=0
+pkgrel=1
pkgdesc="Alpine configuration management scripts"
url=http://git.alpinelinux.org/cgit/$pkgname
depends="openrc"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
+ 0001-lbu-remove-packages.list-if-exist.patch
"
license="GPL-2"
build() {
cd "$srcdir/$pkgname-$pkgver"
+ patch -p1 -i ../0001-lbu-remove-packages.list-if-exist.patch || return 1
make || return 1
make install PREFIX= DESTDIR="$pkgdir"
@@ -18,4 +20,5 @@ build() {
ln -s lbu "$pkgdir"/sbin/lbu_$i
done
}
-md5sums="7786d6d526e96a3fdf51b9284d063caa alpine-conf-2.0_beta3.tar.bz2"
+md5sums="7786d6d526e96a3fdf51b9284d063caa alpine-conf-2.0_beta3.tar.bz2
+b09f9702fc6599fcb7d9bfbc855c8b5c 0001-lbu-remove-packages.list-if-exist.patch"
diff --git a/main/apk-tools/0001-io-fix-corruption-of-big-files-on-mmap-write.patch b/main/apk-tools/0001-io-fix-corruption-of-big-files-on-mmap-write.patch
new file mode 100644
index 0000000000..4261ce521f
--- /dev/null
+++ b/main/apk-tools/0001-io-fix-corruption-of-big-files-on-mmap-write.patch
@@ -0,0 +1,76 @@
+From 67108bf07a67811ea91fc965f3f1592a4a70044e Mon Sep 17 00:00:00 2001
+From: Timo Teras <timo.teras@iki.fi>
+Date: Fri, 31 Jul 2009 10:50:15 +0300
+Subject: [PATCH] io: fix corruption of big files on mmap write
+
+remember to increment destination pointer; and munmap the proper
+base address.
+---
+ src/io.c | 27 +++++++++++++--------------
+ 1 files changed, 13 insertions(+), 14 deletions(-)
+
+diff --git a/src/io.c b/src/io.c
+index 18e89d3..3929ba1 100644
+--- a/src/io.c
++++ b/src/io.c
+@@ -114,21 +114,19 @@ size_t apk_istream_splice(void *stream, int fd, size_t size,
+ {
+ static void *splice_buffer = NULL;
+ struct apk_istream *is = (struct apk_istream *) stream;
+- unsigned char *buf = MAP_FAILED;
+- size_t bufsz, done = 0, r, togo, mmapped = 0;
++ unsigned char *buf, *mmapbase = MAP_FAILED;
++ size_t bufsz, done = 0, r, togo;
+
+ bufsz = size;
+ if (size > 128 * 1024) {
+ if (ftruncate(fd, size) == 0)
+- buf = mmap(NULL, size, PROT_READ | PROT_WRITE,
+- MAP_SHARED, fd, 0);
+- if (buf != MAP_FAILED) {
+- mmapped = 1;
+- if (bufsz > 2*1024*1024)
+- bufsz = 2*1024*1024;
+- }
++ mmapbase = mmap(NULL, size, PROT_READ | PROT_WRITE,
++ MAP_SHARED, fd, 0);
++ if (bufsz > 2*1024*1024)
++ bufsz = 2*1024*1024;
++ buf = mmapbase;
+ }
+- if (!mmapped) {
++ if (mmapbase == MAP_FAILED) {
+ if (splice_buffer == NULL)
+ splice_buffer = malloc(256*1024);
+ buf = splice_buffer;
+@@ -149,13 +147,14 @@ size_t apk_istream_splice(void *stream, int fd, size_t size,
+ if (r < 0)
+ goto err;
+
+- if (!mmapped) {
++ if (mmapbase == MAP_FAILED) {
+ if (write(fd, buf, r) != r) {
+ if (r < 0)
+ r = -errno;
+ goto err;
+ }
+- }
++ } else
++ buf += r;
+
+ done += r;
+ if (r != togo)
+@@ -163,8 +162,8 @@ size_t apk_istream_splice(void *stream, int fd, size_t size,
+ }
+ r = done;
+ err:
+- if (mmapped)
+- munmap(buf, size);
++ if (mmapbase != MAP_FAILED)
++ munmap(mmapbase, size);
+ return r;
+ }
+
+--
+1.6.3.3
+
diff --git a/main/apk-tools/APKBUILD b/main/apk-tools/APKBUILD
index 96d7d35b23..7db8f8a3db 100644
--- a/main/apk-tools/APKBUILD
+++ b/main/apk-tools/APKBUILD
@@ -1,12 +1,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=apk-tools
pkgver=2.0_pre17
-pkgrel=1
+pkgrel=2
pkgdesc="Alpine Package Keeper - package manager for alpine"
depends=
makedepends="zlib-dev openssl-dev pkgconfig"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2
0001-db-fix-checksum-storing-to-db.patch
+ 0001-io-fix-corruption-of-big-files-on-mmap-write.patch
"
@@ -17,6 +18,8 @@ build() {
cd "$srcdir/$pkgname-$pkgver"
sed -i -e 's:-Werror::' Make.rules
patch -p1 -i ../0001-db-fix-checksum-storing-to-db.patch || return 1
+ patch -p1 -i ../0001-io-fix-corruption-of-big-files-on-mmap-write.patch\
+ || return 1
make || return 1
make DESTDIR="$pkgdir" install
@@ -30,4 +33,5 @@ build() {
}
md5sums="4d31c9ae51b357a8514e99a8750af0b6 apk-tools-2.0_pre17.tar.bz2
-d7944308cefe6f5fc45a24e1840d087e 0001-db-fix-checksum-storing-to-db.patch"
+d7944308cefe6f5fc45a24e1840d087e 0001-db-fix-checksum-storing-to-db.patch
+57693255bb36abe74423578b83ff2cf4 0001-io-fix-corruption-of-big-files-on-mmap-write.patch"
diff --git a/x11/midori/APKBUILD b/x11/midori/APKBUILD
index 81abc531ee..df2ce9d704 100644
--- a/x11/midori/APKBUILD
+++ b/x11/midori/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=midori
pkgver=0.1.8
-pkgrel=0
+pkgrel=1
pkgdesc="A lightweight web browser based on Gtk WebKit"
url="http://www.twotoasts.de/index.php?/pages/midori_summary.html"
license="GPL"
@@ -19,6 +19,7 @@ makedepends="
libxml2-dev
webkit-dev
sqlite-dev
+ paxctl
"
install="$pkgname.post-install $pkgname.post-upgrade $pkgname.post-deinstall"
source="http://goodies.xfce.org/releases/$pkgname/$pkgname-$pkgver.tar.bz2
@@ -38,6 +39,8 @@ build ()
|| return 1
make || return 1
make DESTDIR="$pkgdir" install || return 1
+ # PAX does not like the JIT
+ paxctl -c -m "$pkgdir"/usr/bin/midori
}
md5sums="06935203b20e9794121a2c354fc9dea5 midori-0.1.8.tar.bz2
a373e86256d1cd179791e486d2862d44 midori.post-install
diff --git a/x11/xfce4/APKBUILD b/x11/xfce4/APKBUILD
index 9ba27a3c2e..97db75c18c 100644
--- a/x11/xfce4/APKBUILD
+++ b/x11/xfce4/APKBUILD
@@ -2,13 +2,13 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=xfce4
pkgver=4.6
-pkgrel=0
+pkgrel=1
pkgdesc="XFCE 4 meta package"
url="http://www.xfce.org"
license="GPL"
depends="thunar xfce-utils xfce4-panel xfce4-session orage terminal mousepad
xfce4-settings xfdesktop xfwm4 xfce4-mixer xfce4-appfinder
- tango-icon-theme ttf-dejavu"
+ tango-icon-theme ttf-dejavu gtk-xfce-engine"
makedepends=
install=